For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
      • POSTAdd note to an application
      • POSTAssociate application with an interview plan stage
      • POSTCreate ATS Application
      • GETRetrieve a list of ATS applications
      • GETRetrieve ATS application
LogoLogo
SupportDeel Home
ATS EndpointsAts Applications

Add note to an application

POST
/ats/applications/:application_id/notes
POST
/rest/v2/ats/applications/:application_id/notes
$curl -X POST https://api.letsdeel.com/rest/v2/ats/applications/a1b2c3d4-e5f6-7890-abcd-ef1234567890/notes \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "author_id": "123e4567-e89b-12d3-a456-426614174000",
> "richtext_content": "<p>Great communication skills. <strong>Highly recommended</strong>.</p>"
> }
>}'
1{
2 "data": {
3 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
4 "created_at": "2025-11-27T10:30:00.000Z",
5 "updated_at": "2025-11-27T10:30:00.000Z"
6 }
7}

Adds a note to a specific application. The author_id must correspond to a valid HRIS user. Token scopes: ats:write

Was this page helpful?
Previous

Associate application with an interview plan stage

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

application_idstringRequiredformat: "uuid"
Id of the application which the note will be added

Request

This endpoint expects an object.
dataobjectRequired

Response

Application note created successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication